# TODO:	use system-wide QCustomPlot
Summary:	DB Browser for SQLite
Name:		sqlitebrowser
Version:	3.7.0
Release:	5
License:	MPLv2/GPLv3
Group:		Applications/Databases/Interfaces
Source0:	https://github.com/sqlitebrowser/sqlitebrowser/archive/v%{version}.tar.gz
# Source0-md5:	1033f076944316a713d4831bf581cf3a
URL:		http://sqlitebrowser.org/
#BuildRequires:	QCustomPlot-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	antlr
BuildRequires:	cmake >= 2.8.7
BuildRequires:	qscintilla2-qt4-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite Database Browser is a freeware, public domain, open source
visual tool used to create, design and edit database files compatible
with SQLite. It is meant to be used for users and developers that want
to create databases, edit and search data using a familiarspreadsheet-
-like interface, without the need to learn complicated SQL commands.

%prep
%setup -q
# use system-wide qscintilla2
sed -e '/QSCINTILLA_DIR[ }][^"]/d' -e 's/qcustomplot qscintilla2/qcustomplot/' -i CMakeLists.txt

%build
mkdir build
cd build
%cmake ../ \
	-DBUILD_SHARED_LIBS:BOOL=OFF
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%changelog
* Sat Oct 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sqlitebrowser.git;a=log;h=master

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> 65b653f
- disable shared libs (build internal "libs" static)
- rel 5

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4314e4f
- python 3.5 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 44a14e0
- release 3 (by relup.sh)

* Sat Sep 12 2015 Jan Rękorajski <baggins@pld-linux.org> d2b6498
- release 2 (by relup.sh)

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> 2559096
- update BR

* Thu Sep 10 2015 Tomasz Pala <gotar@pld-linux.org> 05cb391
- clean up leftovers

* Thu Sep 10 2015 Tomasz Pala <gotar@pld-linux.org> 4c05495
- proper Qt4 Rs

* Thu Sep 10 2015 Tomasz Pala <gotar@pld-linux.org> 62931a3
- upgraded to 3.7.0

* Fri Jul 03 2009 Tomasz Pala <gotar@pld-linux.org> 77a51d2
- yhhh, SedEstDumb

* Fri Jul 03 2009 Tomasz Pala <gotar@pld-linux.org> 6f23bcc
- possible fix for glibc 2.10

* Fri Jul 03 2009 Tomasz Pala <gotar@pld-linux.org> d2c5b9e
- initial PLD release

